Bug 1958015 - "config-reloader-cpu" and "config-reloader-memory" flags have been deprecated for prometheus-operator
Summary: "config-reloader-cpu" and "config-reloader-memory" flags have been deprecated...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Pawel Krupa
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-07 02:40 UTC by Junqi Zhao
Modified: 2021-07-27 23:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:07:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
prometheus-operator deployment file (6.77 KB, text/plain)
2021-05-07 02:40 UTC, Junqi Zhao
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1152 0 None open Bug 1958015: jsonnet: fix setting resource limits on config-reloader containers 2021-05-07 08:22:41 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:07:35 UTC

Description Junqi Zhao 2021-05-07 02:40:55 UTC
Created attachment 1780553 [details]
prometheus-operator deployment file

Description of problem:
"config-reloader-cpu" and "config-reloader-memory" flags have been deprecated for prometheus-operator
# oc -n openshift-monitoring logs prometheus-operator-9b684f5cb-qw582 -c prometheus-operator | head
level=warn ts=2021-05-06T23:58:46.619512616Z caller=main.go:282 msg="The '--config-reloader-cpu' flag has been deprecated! Please use '--config-reloader-cpu-limit' and '--config-reloader-cpu-request' according to your use-case."
level=warn ts=2021-05-06T23:58:46.619566582Z caller=main.go:285 msg="The '--config-reloader-memory' flag has been deprecated! Please use '--config-reloader-memory-limit' and '--config-reloader-memory-request' according to your use-case."
level=info ts=2021-05-06T23:58:46.619584828Z caller=main.go:294 msg="Starting Prometheus Operator" version="(version=0.47.1, branch=rhaos-4.8-rhel-8, revision=7229257)"
level=info ts=2021-05-06T23:58:46.619620063Z caller=main.go:295 build_context="(go=go1.16.1, user=root, date=20210505-11:40:58)"

# oc -n openshift-monitoring get deploy prometheus-operator -oyaml
...
    spec:
      containers:
      - args:
        - --kubelet-service=kube-system/kubelet
        - --prometheus-config-reloader=quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:1588dd2ec06b6b091d1a3e17202e38a11a3d9eaaa00b7e7ab78bb4ffd747978d
        - --namespaces=openshift-apiserver,openshift-apiserver-operator,openshift-authentication,openshift-authentication-operator,openshift-cloud-credential-operator,openshift-cluster-csi-drivers,openshift-cluster-machine-approver,openshift-cluster-node-tuning-operator,openshift-cluster-samples-operator,openshift-cluster-storage-operator,openshift-cluster-version,openshift-config-operator,openshift-console-operator,openshift-controller-manager,openshift-controller-manager-operator,openshift-dns,openshift-dns-operator,openshift-etcd-operator,openshift-image-registry,openshift-ingress,openshift-ingress-operator,openshift-insights,openshift-kube-apiserver,openshift-kube-apiserver-operator,openshift-kube-controller-manager,openshift-kube-controller-manager-operator,openshift-kube-scheduler,openshift-kube-scheduler-operator,openshift-kube-storage-version-migrator,openshift-kube-storage-version-migrator-operator,openshift-logging,openshift-machine-api,openshift-machine-config-operator,openshift-marketplace,openshift-monitoring,openshift-multus,openshift-oauth-apiserver,openshift-operator-lifecycle-manager,openshift-operators-redhat,openshift-sdn,openshift-service-ca-operator,openshift-user-workload-monitoring
        - --prometheus-instance-namespaces=openshift-monitoring
        - --thanos-ruler-instance-namespaces=openshift-monitoring
        - --alertmanager-instance-namespaces=openshift-monitoring
        - --config-reloader-cpu=0
        - --config-reloader-memory=0
        - --web.enable-tls=true
        - --web.tls-cipher-suites=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256,TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384,TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305,TLS_ECDHE_ECDSA_WITH_CHACHA20_POLY1305
        - --web.tls-min-version=VersionTLS12
        image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:0ad29bc30d6fdf749352a48a33b37ca782106670308495bb2e73486cd6875b06
        imagePullPolicy: IfNotPresent
        name: prometheus-operator
...
Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-05-06-162549
Prometheus Operator 0.47.1

How reproducible:
always

Steps to Reproduce:
1. see the description
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Junqi Zhao 2021-05-10 01:32:54 UTC
tested with 4.8.0-0.nightly-2021-05-09-105430, "config-reloader-cpu" changed to "config-reloader-cpu-limit", "config-reloader-memory" changed to "config-reloader-memory-limit"
# oc -n openshift-monitoring get deploy prometheus-operator -oyaml | grep config-reloader-cpu-limit -A2
        - --config-reloader-cpu-limit=0
        - --config-reloader-memory-limit=0
        - --web.enable-tls=true

Comment 5 errata-xmlrpc 2021-07-27 23:07:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.